package bazcd.dao;

import java.io.Serializable;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlID;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlTransient;

import bazcd.BazCDConstants;

@Entity
@XmlRootElement(name="cd", namespace=BazCDConstants.NAMESPACE)
public class Cd implements Serializable{

	@XmlAttribute
	private int code_barre;
	
	@XmlElement
	private String commentaire;
	
	@XmlElement
	private String titre;
	
	@XmlElement
	private String edition;
	
	@XmlElement(name="stock")
	private int nombre;

	@XmlTransient
	public int getCode_barre() {
		return code_barre;
	}

	public void setCode_barre(int code_barre) {
		this.code_barre = code_barre;
	}

	@XmlTransient
	public String getCommentaire() {
		return commentaire;
	}

	public void setCommentaire(String commentaire) {
		this.commentaire = commentaire;
	}

	@XmlTransient
	public String getTitre() {
		return titre;
	}

	public void setTitre(String titre) {
		this.titre = titre;
	}

	@XmlTransient
	public String getEdition() {
		return edition;
	}

	public void setEdition(String edition) {
		this.edition = edition;
	}

	@XmlTransient
	public int getNombre() {
		return nombre;
	}

	public void setNombre(int nombre) {
		this.nombre = nombre;
	}
	
}
